import { world, system } from "@minecraft/server";


//Caminar por lava y agua


system.runInterval(() => {
for (const player of world.getPlayers()) {
  if (player.hasTag('ice_armor')) {
   player.runCommandAsync('fill ~-1 ~-1 ~-1 ~2 ~-1 ~2 minecraft:ice replace minecraft:water');
}
}
});

system.runInterval(() => {
for (const player of world.getPlayers()) {
  if (player.hasTag('lava_armor')) {
   player.runCommandAsync('fill ~-1 ~-1 ~-1 ~2 ~-1 ~2 minecraft:basalt replace minecraft:lava');
}
}
});

world.afterEvents.entityHurt.subscribe(async evd => {
    const { damageSource, hurtEntity, damage } = evd;
    const attacker = damageSource.damagingEntity;
    if (hurtEntity.hasTag('cactus_armor')) {
        await attacker.runCommandAsync(`damage @s ${damage.toFixed(0)}`);
    }
});



system.beforeEvents.watchdogTerminate.subscribe((event) => {
    event.cancel = true;
});